<?php

namespace common\models;

use common\components\MongoActiveRecord;
use Yii;

/**
 * This is the model class for collection "ar_approach_order_call".
 *
 * @property \MongoDB\BSON\ObjectID|string $_id
 * @property string $sn 订单号
 * @property string $reference 支付唯一凭证
 * @property mixed $event 事件
 * @property mixed $data 回调内容

 */
class ApproachOrderCall extends MongoActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function collectionName()
    {
        return 'ar_approach_order_call';
    }

    /**
     * @return \yii\mongodb\Connection the MongoDB connection used by this AR class.
     */
    public static function getDb()
    {
        return Yii::$app->get('dbLog');
    }

    /**
     * 获取id
     * @return string
     */
    public function getId() {
        return (string) $this->_id;
    }
    /**
     * {@inheritdoc}
     */
    public function attributes()
    {
        return [
            '_id',
            'sn',
            'reference',
            'event',
            'data',
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            '_id' => 'objectID',
            'sn' => 'orderSn',
            'reference' => 'reference',
            'event' => 'event',
            'data' => 'data',
        ];
    }

}
